<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <h1>List Constraints</h1>
			#{viewConsManager.init()}
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">

                <p>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{viewConsManager.availableConstraints.filter}"/>
                                <ui:param name="filterId" value="packageName"/>
                                <ui:param name="filterName" value="package/norm"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{viewConsManager.availableConstraints.filter}"/>
                                <ui:param name="filterId" value="className"/>
                                <ui:param name="filterName" value="className"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>
                </p>

                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['gazelle.common.button.Refresh']}"
                                     render="globalForm,consTabl">
                        <span class="fa fa-refresh"/>
                    </a4j:commandLink>
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.ResetFilter']}"
                                     actionListener="#{viewConsManager.resetFilter()}"
                                     render="globalForm">
                        <span class="fa fa-times-circle"></span>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>

            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    List Constraints
                </ui:define>
                <h:outputText value="Constraints Number : #{viewConsManager.availableConstraints.rowCount}"/>
                <rich:dataTable id="consTabl" rendered="#{viewConsManager.availableConstraints != null}"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                value="#{viewConsManager.availableConstraints}" var="currentCons" render="ds">
                    <ns0:column xmlns:ns0="http://www.ihe.net/gazelle" name="idColumn" filterBy="#{'name'}"
                                filterEvent="onkeyup" sortBy="#{'name'}" sortOrder="descending">
                        <ui:define name="header">name</ui:define>
                        <h:outputLink
                                value="constraintDescriptor.seam?name=#{currentCons.name}&amp;pack=#{currentCons.classType.mbPackage.name}&amp;class=#{currentCons.classType.name}"
                                target="_blank">
                            <h:outputText value="#{currentCons.name}" style="font-style: italic;"/>
                        </h:outputLink>
                    </ns0:column>
                    <ns1:column xmlns:ns1="http://www.ihe.net/gazelle" filterBy="#{'classType.name'}"
                                filterEvent="onkeyup" sortBy="#{'classType.name'}" sortOrder="descending">
                        <ui:define name="header">validation class</ui:define>
                        <h:outputLink
                                value="../classes/classDescriptor.seam?name=#{currentCons.classType.name}&amp;pack=#{currentCons.classType.mbPackage.name}"
                                target="_blank">
                            <h:outputText value="#{currentCons.classType.name}" style="font-style: italic;"/>
                        </h:outputLink>
                    </ns1:column>
                    <ns2:column xmlns:ns2="http://www.ihe.net/gazelle" filterBy="#{'classType.mbPackage.name'}"
                                filterEvent="onkeyup" sortBy="#{'classType.mbPackage.name'}" sortOrder="descending">
                        <ui:define name="header">package / norm</ui:define>
                        <h:outputText value="#{currentCons.classType.mbPackage.name}"/>
                    </ns2:column>
                    <ns3:column xmlns:ns3="http://www.ihe.net/gazelle" filterBy="#{'description'}"
                                filterEvent="onkeyup">
                        <ui:define name="header">description</ui:define>
                        <h:outputText value="#{viewConsManager.trunkate(currentCons.description)}"/>
                    </ns3:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="consTabl"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>